cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
2180
Views
0
Helpful
4
Replies

PowerShell Connect-IMC fails with "The requested security protocol is not supported."

cseli-dolby
Beginner
Beginner

PowerShell Connect-IMC fails with "The requested security protocol is not supported" when run under PowerShell Core 6.0.2 (I confirmed this code works under Pwershell 5.1.14409.1012):

PS > Import-Module Cisco.Imc

PS > $handle = Connect-Imc -Name server3-IMC.local -NoSsl

cmdlet Connect-Imc at command pipeline position 1

Supply values for the following parameters:

User: admin

Password for user admin: ***********

Connect-Imc : The requested security protocol is not supported.

At line:1 char:11

+ $handle = Connect-Imc -Name server3-IMC.local -NoSsl

+           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ CategoryInfo          : NotSpecified: (:) [Connect-Imc], NotSupportedException

+ FullyQualifiedErrorId : Cisco.Imc.Cmdlets.ConnectImc

PS > $PSVersionTable

Name                           Value

----                           -----

PSVersion                      6.0.2

PSEdition                      Core

GitCommitId                    v6.0.2

OS                             Darwin 17.6.0 Darwin Kernel Version 17.6.0: Tue May  8 15:22:16 PDT 2018; root:xnu-4570.61.1...

Platform                       Unix

PSCompatibleVersions           {1.0, 2.0, 3.0, 4.0...}

PSRemotingProtocolVersion      2.3

SerializationVersion           1.1.0.1

WSManStackVersion              3.0

1 Accepted Solution

Accepted Solutions

Hi Christopher,

Cisco UCS Powertool Suite v2.3.1.5 is not qualified to work with Powershell Core.

The release Cisco UCS PowerTool Core Suite v2.2.1 works with Powershell Core, But since this is a beta release its posted on cisco communities only, here:

https://communities.cisco.com/docs/DOC-74217

Please let us know if you have more questions on this.

Thanks,

Amit Kumar

View solution in original post

4 Replies 4

dsoper
Cisco Employee
Cisco Employee

We are looking into this issue.  Can you let us know the version of IMC PowerTool being used and the IMC version and server model?

========= Cisco.IMC version ====================

PS > Get-Command -Module cisco.imc | Select-Object Version | Sort-Object -Unique

Version

-------

2.3.1.5

========= CIMC Version =======================

Cisco Integrated Management Controller

Version : 3.0(4d)

========= UCS Model =========================

UCS C240 M4S

===========================================

Hi Christopher,

Cisco UCS Powertool Suite v2.3.1.5 is not qualified to work with Powershell Core.

The release Cisco UCS PowerTool Core Suite v2.2.1 works with Powershell Core, But since this is a beta release its posted on cisco communities only, here:

https://communities.cisco.com/docs/DOC-74217

Please let us know if you have more questions on this.

Thanks,

Amit Kumar

Thank you Amit and David.

-Chris

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers